apply plugin: 'com.android.library'

android {
    compileSdkVersion rootProject.ext.compileSdkVersion
    buildToolsVersion rootProject.ext.buildToolsVersion
    defaultConfig {
        minSdkVersion rootProject.ext.minSdkVersion
        targetSdkVersion rootProject.ext.targetSdkVersion
        versionCode 3
        versionName "1.10.e"

        testInstrumentationRunner "android.support.test.runner.AndroidJUnitRunner"
    }
    buildTypes {
        release {
            minifyEnabled false
            proguardFiles getDefaultProguardFile('proguard-android.txt'), 'proguard-rules.pro'
        }
    }
    repositories {
        flatDir {
            dirs 'libs'
        }
    }
}


dependencies {
    api fileTree(dir: 'libs', include: ['*.jar'])
    testImplementation 'junit:junit:4.12'
    api(name: 'libimagecapture-release', ext: 'aar')
    api(name: 'libcamera-release', ext: 'aar')
    api(name: 'libidcardcaptor-release', ext: 'aar')
    api(name: 'liblivenessdetector2-release', ext: 'aar')
    api(name: 'liblivenessdetectionview2-release', ext: 'aar')
    api(name: 'libcommon-release', ext: 'aar')
    api("com.android.support:appcompat-v7:$rootProject.ext.supportLibraryVersion", {
        exclude module: 'support-v4'
    })
    api("com.android.support:percent:$rootProject.ext.supportLibraryVersion", {
        exclude module: 'support-v4'
    })
}
